# RPM specfile for libgail-gnome module
# Generated Wed Nov 19 20:44:51 2003 GMT by Ximian build system
# $Id: bb_do,v 1.241 2003/07/31 17:23:14 thunder Exp $
# from $Id: ximian-build.conf,v 1.10.2.3 2003/11/18 20:53:56 mibarra Exp $

%define nam	libgail-gnome
%define ver	1.0.2
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	5

Name:     	libgail-gnome
Version: 	1.0.2
Release:	0.ximian.6.5
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 9 / i386
Copyright:	LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.gnome.org/
Source0:	libgail-gnome-1.0.2.tar.bz2
Summary:	GNOME Accessibility Toolkit Bindings
Group:		System Environment/Libraries
Requires:	atk >= 0.7
Requires:	gtk2 >= 1.3.11
Requires:	libbonobo >= 1.1.0
Requires:	libbonoboui >= 1.1.0
Requires:	libgnomeui >= 1.1.0
Requires:	at-spi >= 0.10.0
Provides:	ximian-libgail-gnome = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Conflicts:	libgail-gnome-devel < 1.0.2-0.ximian.6.5
Conflicts:	libgail-gnome-devel > 1.0.2-0.ximian.6.5

%description
The libgail-gnome adds interfaces to the accessibility toolkit
(ATK) for GNOME libraries including libbonoboui and libgnomeui
widgets. It is used in combination with libgail, which provides ATK
bindings to gtk+ widgets

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING
/usr/lib/gtk-2.0/modules/*.so


%post
ldconfig

%postun
ldconfig

%package -n libgail-gnome-devel
Summary:	Libraries and headers for libgail-gnome
Group:		Development/Libraries
Requires:	libgail-gnome = 1.0.2-0.ximian.6.5
Requires:	atk-devel >= 0.7
Requires:	gtk2-devel >= 1.3.11
Requires:	libbonobo-devel >= 1.1.0
Requires:	libbonoboui-devel >= 1.1.0
Requires:	libgnomeui-devel >= 1.1.0
Requires:	at-spi-devel >= 0.10.0
Provides:	ximian-libgail-gnome-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n libgail-gnome-devel
The libgail-gnome-devel packageincludes the libraries and 
include files that you will need to develop software using libgail-gnome.


%files -n libgail-gnome-devel
%defattr(-, root, root)
/usr/lib/pkgconfig/*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n libgail-gnome-1.0.2
    ;;
all)
%setup  -q -n libgail-gnome-1.0.2
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var --enable-static
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} DESTDIR=${DESTDIR} install; rm -rf ${DESTDIR}/usr/lib/gtk-2.0/modules/*.la
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Wed Nov 19 2003 Ximian, Inc.

- Version: 1.0.2-0.ximian.6.5
- Summary: New build.
- New automated build.

* Wed Sep 11 2002 Ximian, Inc.

- Version: 1.0.1-1.ximian.1
- Summary: New build.
- New automated build.

* Fri Jul 12 2002 Ximian, Inc.

- Version: 1.0.0-1.ximian.1
- Summary: New build.
- New automated build.

